# FAL-  Western Central Pacific Ocean model By Joel Rice on 21/11/2011
#_data_and_control_files: SILadd.dat, SILadd.ctl
# SS-V3.21d;_06/06/2011;_Stock_Synthesis_by_Richard_Methot_(NOAA)_using_ADMB

# FISHERY DEFINITIONS					
# FisheryNum	FishSurvNum	FishSurvAlpha	Gear	SetType	Years
#1	F1	F1-NonTar_LL	LL	1995-2009
#2	F2	F2-YesTar_LL	LL	1995-2009 
#3	F3	F3-PS_Asso_PS	PS	1995-2009 
#4	F4	F4-PS_UN-Asso_PS	PS	1995-2009 
#5	S1	S1-HI_LL bycatch	LL 1995-2010
#6	S2	S2-NO_HI_LL_bycatch	LL 1995-2009
#7	S3	S3-JPN_RTV_LL LL 1993-2008
#8  S4  S4-SPC_LL_Target 1995-2009
#9	S5	S5-PS_ASO_CPset PS 1995-2009
#10 S6  S6-PS_UNA_CPset PS 1995-2009
#11 S7  S7-PS_ASO_CPmt PS 1995-2009
#12 S8  S8-PS_UNA_CPmt PS 1995-2009
#13 S9  S9-HI_LL_WC LL 2001-2010

1 #_N_Growth_Patterns
1 #_N_Morphs_Within_GrowthPattern 
#_Cond 1 #_Morph_between/within_stdev_ratio (no read if N_morphs=1)
#_Cond  1 #vector_Morphdist_(-1_in_first_val_gives_normal_approx)

#_Cond 0  #  N recruitment designs goes here if N_GP*nseas*area>1
#_Cond 0  #  placeholder for recruitment interaction request - year*area
#_Cond 1 1 1  # example recruitment design element for GP=1, seas=1, area=1

#_Cond 0 # N_movement_definitions goes here if N_areas > 1
#_Cond 1.0 # first age that moves (real age at begin of season, not integer) also cond on do_migration>0
#_Cond 1 1 1 2 4 10 # example move definition for seas=1, morph=1, source=1 dest=2, age1=4, age2=10

0 #_Nblock_Patterns
#_Cond 0 #_blocks_per_pattern
# begin and end years of blocks
# 1975 1985 1986 1990 1995 2001
# 1987 1990 1995 2001

0.5 #_fracfemale 
0 #_natM_type:_0=1Parm; 1=N_breakpoints;_2=Lorenzen;_3=agespecific;_4=agespec_withseasinterpolate
#2 #_N_breakpoints
# 4 15 # age(real) at M breakpoints
# M vector
#0.25	0.20005	0.1663375	0.1337125	0.1010875	0.1	0.1	0.1	0.1	0.1	0.1	0.1	0.1	0.1	0.10331	0.106621	0.109931	0.113242	0.116552	0.119863	0.123173	0.126484	0.129794	0.133104	0.136415	0.139725	0.143036	0.143036	0.143036	0.143036	0.143036	0.143036	0.143036	0.143036	0.143036	0.143036	0.143036	0.143036	0.143036	0.143036	0.143036
#0.25	0.20005	0.1663375	0.1337125	0.1010875	0.1	0.1	0.1	0.1	0.1	0.1	0.1	0.1	0.1	0.1	0.1	0.1	0.1	0.1	0.1	0.1	0.1	0.1	0.1	0.1	0.1	0.1	0.1	0.1	0.1	0.1	0.1	0.1	0.1	0.1	0.1	0.1	0.1	0.1	0.1	0.1
2 # GrowthModel: 1=vonBert with L1&L2; 2=Richards with L1&L2; 3=not implemented; 4=not implemented
1 #_Growth_Age_for_L1
12 #_Growth_Age_for_L2 (999 to use as Linf)
0 #_SD_add_to_LAA (set to 0.1 for SS2 V1.x compatibility)
1 #_CV_Growth_Pattern:  0 CV=f(LAA); 1 CV=F(A); 2 SD=F(LAA); 3 SD=F(A)
1 #_maturity_option:  1=length logistic; 2=age logistic; 3=read age-maturity matrix by growth_pattern; 4=read age-fecundity
#_Age_Maturity by growth pattern (placeholder for empirical age-maturity by growth pattern)
#0	0	0	0	0	0	1	1	1	1	1	1	1	1	1	1	1	1	1	1	1    # Knife-edge at 6 years (aproximated from Oshitani et al; 2003)
0 #_First_Mature_Age
2 #_fecundity option:(1)eggs=Wt*(a+b*Wt);(2)eggs=a*L^b;(3)eggs=a*Wt^b
0 #_hermaphroditism option:  0=none; 1=age-specific fxn
3 #_parameter_offset_approach (1=none, 2= M, G, CV_G as offset from female-GP1, 3=like SS2 V1.x)
1 #_env/block/dev_adjust_method (1=standard; 2=with logistic trans to keep within base parm bounds)

#_growth_parms
#_LO HI INIT PRIOR PR_type SD PHASE env-var use_dev dev_minyr dev_maxyr dev_stddev Block Block_Fxn
##_Gpattern:_1_Gender:_1
-3 3 0.18 0.2 0 0.8 -3 0 0 0 0 0 0 0 		# NatM_p_1_Fem_GP:1_   *from Fish base*....
# -3 3 -2 -2 0 0.8 -3 0 0 0 0 0 0 0 		# NatM_p_2_Fem_GP:1_
# L-A-A (growth parameters from Joung et al; 2008)
70 100 90.99879 90.99879 0 10 -4 0 0 0 0 0.5 0 0		# L_at_Amin_Fem_GP_1  ~ Amin set to 0; Lt=341.1*(1-exp(-0.077*(t +3.03)))
40 350 233.8818 233.8818 0 10 -2 0 0 0 0 0.5 0 0		# L_at_Amax_Fem_GP_1  ~ Amax set to 12;   
0.05 0.15 0.0838 0.0838 0 0.8 -4 0 0 0 0 0.5 0 0			# VonBert_K_Fem_GP_1  Lt=341.1*(1-exp(-0.077*(t +3.03)))  Joung et al 2008 (in FL)
-10 10 1 1 0 0.8 -4 0 0 0 0 0.5 0 0          # RICHARDS_SHAPE_PARAM_GP_1_
.01 1 0.085 0.0834877 0 0.8 -3 0 0 0 0 0.5 0 0				# CV_young_Fem_GP_1_       
-3 3 0 0 0 0.8 -3 0 0 0 0 0.5 0 0		                  # CV_old_Fem_GP_1_         

##_Gpattern:_1_Gender:_2
# M
-3 3 0 0 0 0.8 -3 0 0 0 0 0.5 0 0			  # NatM_p_1_Male_GP:1_
#-3 3 0 0 0 0.8 -3 0 0 0 0 0.5 0 0			# NatM_p_2_Male_GP:1_
# L-A-A 
-3 3 0 0 0 0.8 -3 0 0 0 0 0.5 0 0				# L_at_Amin_Male_GP_1    
-3 3 0 0 0 0.8 -2 0 0 0 0 0.5 0 0 			# L_at_Amax_Male_GP_1 
-3 3 0 0 0 0.8 -3 0 0 0 0 0.5 0 0				# VonBert_K_Male_GP_1_
-3 3 0 0 0 0.8 -3 0 0 0 0 0.5 0 0       # RICHARDS_SHAPE_PARAM_GP_1_
-3 3 0 0 0 0.8 -3 0 0 0 0 0.5 0 0				# CV_young_Male_GP_1_
-3 3 0 0 0 0.8 -3 0 0 0 0 0.5 0 0			  # CV_old_Male_GP_1_

## FEMALE BIOLOGY
# W-L
#-3 3 0.0000273 0.0000273 0 0.8 -3 0 0 0 0 0.5 0 0 # W-L (a)- from Oshitani et al. (2003); PCL-KG
#-3 3 2.86 2.86 0 0.8 -3 0 0 0 0 0.5 0 0 # W-L (b) - Oshitani et al. (2003); PCL-KG
#-3 3 0.00001 0.0000273 0 0.8 -3 0 0 0 0 0.5 0 0 # W-L (a)- Heriberto Santana; TL-KG
#-3 3 2.90231 2.86 0 0.8 -3 0 0 0 0 0.5 0 0 # W-L (b) - Heriberto Santana; TL-KG
#-3 3 0.000006 0.0000273 0 0.8 -3 0 0 0 0 0.5 0 0 # W-L (a)- Sonia Soriano; TL-KG
#-3 3 2.9497 2.86 0 0.8 -3 0 0 0 0 0.5 0 0 # W-L (b) - Sonia Soriano ; TL-KG
#-3 3 0.00001 0.0000273 0 0.8 -3 0 0 0 0 0.5 0 0 # W-L (a)- Jimmy Martinez (Ecuador); TL-KG
#-3 3 2.93509 2.86 0 0.8 -3 0 0 0 0 0.5 0 0 # W-L (b) - Jimmy Martinez (Ecuador); TL-KG ; TL-KG
-3 3 0.00000292 0.00000292 0 0.8 -3 0 0 0 0 0.5 0 0 # W-L (a)- Joung et al 2008 (Taiwan); TL-KG      W = 2.92  10-6 TL^3.15 (r2 = 0.98, n = 469, p < 0.01)
-3 3.5 3.15  3.15 0 0.8 -3 0 0 0 0 0.5 0 0 # W-L (b) -Joung et al 2008 (Taiwan); TL-KG      W = 2.92  10-6  * TL^3.15 (r2 = 0.98, n = 469, p < 0.01)

# Maturity
#_LO HI INIT PRIOR PR_type SD PHASE env-var use_dev dev_minyr dev_maxyr dev_stddev Block Block_Fxn
##_Gpattern:_1_Gender:_1
-3 300 215 55 0 0.8 -3 0 0 0 0 0.5 0 0						# Maturity (logistic - inflection: age) Joung et al 2008 (Taiwan)  estimated as 210-220
-3 3 -0.138 -0.138 0 0.8 -3 0 0 0 0 0.5 0 0				# Maturity (logistic - slope: age) Joung et al 2008 (Taiwan)        ***?
#-3 3 177 55 0 0.8 -3 0 0 0 0 0.5 0 0						  # Maturity (logistic - inflection: age) - Galvan-Tirado (2007)
#-3 3 -0.27 -0.25 0 0.8 -3 0 0 0 0 0.5 0 0				# Maturity (logistic - slope: age) - Galvan-Tirado (2007)
#-3 3 36.978014 55 0 0.8 -3 0 0 0 0 0.5 0 0				# Maturity (logistic - inflection: age) - Jimmy Martinez (2011)
#-3 3 -0.2008322 -0.25 0 0.8 -3 0 0 0 0 0.5 0 0					# Maturity (logistic - slope: age) - Jimmy Martinez (2011)
-3 9 6 1 0 0.8 -3 0 0 0 0 0.5 0 0							# Eggs/gm (intercept)                 
-3 3 0 0 0 0.8 -3 0 0 0 0 0.5 0 0							# Eggs/gm (slope)
## MALE BIOLOGY
# W-L
#-3 3 0.0000273 0.0000273 0 0.8 -3 0 0 0 0 0.5 0 0 # W-L (a)- from Oshitani et al. (2003); PCL-KG
#-3 3 2.86 2.86 0 0.8 -3 0 0 0 0 0.5 0 0 # W-L (b) - Oshitani et al. (2003); PCL-KG
#-3 3 0.00001 0.0000273 0 0.8 -3 0 0 0 0 0.5 0 0 # W-L (a)- Heriberto Santana; TL-KG
#-3 3 2.90231 2.86 0 0.8 -3 0 0 0 0 0.5 0 0 # W-L (b) - Heriberto Santana; TL-KG
#-3 3 0.000006 0.0000273 0 0.8 -3 0 0 0 0 0.5 0 0 # W-L (a)- Sonia Soriano; TL-KG
#-3 3 2.9497 2.86 0 0.8 -3 0 0 0 0 0.5 0 0 # W-L (b) - Sonia Soriano; TL-KG
#-3 3 0.00001 0.0000273 0 0.8 -3 0 0 0 0 0.5 0 0 # W-L (a)- Jimmy Martinez (Ecuador); TL-KG
#-3 3 2.93509 2.86 0 0.8 -3 0 0 0 0 0.5 0 0 # W-L (b) - Jimmy Martinez (Ecuador); TL-KG ; TL-KG
-3 3 0.00000292 0.00000292 0 0.8 -3 0 0 0 0 0.5 0 0 # W-L (a)- Joung et al 2008 (Taiwan); TL-KG      W = 2.92  10-6 TL^3.15 (r2 = 0.98, n = 469, p < 0.01)
-3 4 3.15  3.15 0 0.8 -3 0 0 0 0 0.5 0 0 # W-L (b) -Joung et al 2008 (Taiwan); TL-KG      W = 2.92  10-6  * TL^3.15 (r2 = 0.98, n = 469, p < 0.01)

# Recruitment distribution (Growth pattern x Area x Season 'parameter lines')
-4 4 0 0 -1 99 -3 0 0 0 0 0.5 0 0 							# Recruitment distribution by Growth pattern 
-4 4 0 0 -1 99 -3 0 0 0 0 0.5 0 0 							# Recruitment distribution by Area 1
-4 4 4 0 -1 99 -3 0 0 0 0 0.5 0 0 							# Recruitment distribution by Season 1
1 1 1 1 -1 99 -3 0 0 0 0 0.5 0 0 						  	# Cohort growth deviation


# Movement parameters
# LO HI INIT PRIOR Pr_type SD PHASE
# switch on estimation at phase 5
# area 1 to 2 - start, end ramp
#-8 1 -6 -6 0 5 5 0 0 0 0 0 0 0
#-8 1 -4 -4 0 5 5 0 0 0 0 0 0 0

#_Cond 0  #custom_MG-env_setup (0/1)
#_Cond -2 2 0 0 -1 99 -2 #_placeholder when no MG-environ parameters

#_Cond 0  #custom_MG-block_setup (0/1)
#_Cond -2 2 0 0 -1 99 -2 #_placeholder when no MG-block parameters
#_Cond No MG parm trends

#_seasonal_effects_on_biology_parms
 0 0 0 0 0 0 0 0 0 0 #_femwtlen1,femwtlen2,mat1,mat2,fec1,fec2,Malewtlen1,malewtlen2,L1,K
# -2 2 0 0 -1 99 -2 #_placeholder when no seasonal MG parameters

#include this when estimating temporal deviates
#4 #_MGparm_Dev_Phase

#_Spawner-Recruitment
3 # S-R model: 1=B-H (flat-top); 2=Ricker; 3=B-H (std.); 4=ignore steepness and bias adjustment
#_LO HI INIT PRIOR PR_type SD PHASE
3 15 12.5 12.3 0 10 1			# ln(R0)      this was initially       3 20 19.5 12.3 0 10 1			# ln(R0)    changed for Fgrid 37
0.2 0.7 0.409  0.5 2 0.05 -3 # Steepness of S-R 
#0.2 1 0.4 0.4 2 0.1 -4		 # S-Frac amount that survival can change over the spawner density.
#0.2 10 4 1 2 0.1 -4				 # Beta for LowFecd SRR
0 2 0.1 0.6 0 0.8 -3			 # Sigma-R (SD) of ln(R_devs)
-5 5 0 0 0 1 -3					  # Env_link coefficient
-5 5 0 0 0 1 -1					  # Offset for initial equilibrium R1 relative to virgin recruitment
0 0 0 0 -1 99 -99        	# Auto-correlation factor
0 #_SR_env_link
1 #_SR_env_target_1=devs;_2=R0;_3=steepness

2 #do_recdev:  0=none; 1=devvector; 2=simple deviations                    probably want 2
1995 # first year of main recr_devs; early devs can preceed this era       jrnote this should be the first year of your model
2009 # last year of main recr_devs; forecast devs start in following year           **doesn't have to be the last
2 #_recdev phase

## introduced to do temporal variation in rec devs for region
1 # (0/1) to read 13 advanced options
-5 #_recdev_early_start (0=none; neg value makes relative to recdev_start)
-2 #_recdev_early_PH
0 #_forecast_recruitment phase (incl. late recr) (0 value resets to maxphase+1)
1 #_lambda for Fcast_recr_like occurring before endyr+1
-2 #_last_yr_nobias_adj_in_MPD
-1 #_first_yr_fullbias_adj_in_MPD
2006 #_last_yr_fullbias_adj_in_MPD			# Do not apply BCF to last qrt
2007 #_first_recent_yr_nobias_adj_in_MPD
0.85 #_max_bias_adj_in_MPD (1.0 to mimic pre-2009 models)
0 #_period of cycles in recruitment (N parms read below)
-15 # min rec_dev
15 # max rec_dev
0 #_read_recdevs						
#_end of advanced SR options

#_placeholder for full parameter lines for recruitment cycles
# read specified recr devs
#_Yr Input_value
# all recruitment deviations
#DisplayOnly -0.275616 # RecrDev_1971_
#DisplayOnly 0.36331 # RecrDev_1972
#DisplayOnly 0 # ForeRecr_2002

#Fishing Mortality info 
0.2 # F ballpark for tuning early phases
1996  # F ballpark year (neg value to disable)
3 # F_Method:  1=Pope; 2=instan. F; 3=hybrid (hybrid is recommended)
3 # max F or harvest rate, depends on F_Method                                # changed from 5 to 3 on 21/05
3 #N iterations for tuning hybrid F

#_initial_F_parms
#_LO HI INIT PRIOR PR_type SD PHASE                                                
0 1  0.1  0.1	 0	 99	 -1	 #1	F1	F1-NonTar_LL	LL	1995-2009      *
0	1	0.00	0.01	0	99	-1	#2	F2	F2-YesTar_LL	LL	1995-2009 
0.05  1  0.05  0.1	 0	 99  -1  #3	F3	F3-PS_Asso_PS	PS	1995-2009   *
0	1	0.00	0.01	0	99	-1	#4	F4	F4-PS_UN-Asso_PS	PS	1995-2009


#_Q_setup
 # A=do power, B=env-var, C=extra SD, D=devtype(<0=mirror, 0/1=none, 2=cons, 3=rand, 4=randwalk); E=0=num/1=bio, F=err_type
 #_A  B  C  D  E  F
0	0	0	0	# F1-NonTar_LL	LL	1995-2009
0	0	0	0	# F2-YesTar_LL	LL	1995-2009 
0	0	0	0	# F3-PS_Asso_PS	PS	1995-2009
0	0	0	0	# F4-PS_UN-Asso_PS	PS	1995-2009
0	0	0	0	# S1-HI_LL bycatch	LL 1995-2010
0	0	0	0	# S2-NO_HI_LL_bycatch	LL 1995-2009
0	0	0	0	# S3-JPN_RTV_LL LL 1993-2008
0	0	0	0	# S4-SPC_LL_Target 1995-2009
0	0	0	0	# S5-PS_ASO_CPset PS 1995-2009
0	0	0	0	# S6-PS_UNA_CPset PS 1995-2009
0	0	0	0	# S7-PS_ASO_CPmt PS 1995-2009
0	0	0	0	# S8-PS_UNA_CPmt PS 1995-2009
0	0	0	0	# S9-HI_LL_WC LL 2001-2010
            

# 0 #_If q has random component, then 0=read one parm for each fleet with random q; 1=read a parm for each year of index
#_Q_parms(if_any)
## LO HI INIT PRIOR PR_type SD PHASE
#-0.19	10	0	0.01	0	99	-1
#-0.19	10	0	0.01	0	99	-1
#-0.19	10	0	0.01	0	99	-1
#-0.19	10	0	0.01	0	99	-1
#-0.19	10	0	0.01	0	99	-1
#-0.19	10	0	0.01	0	99	-1
#-0.19	10	0	0.01	0	99	-1
#-0.19	10	0	0.01	0	99	-1
#-0.19	10	0	0.01	0	99	-1
#-0.19	10	0	0.01	0	99	-1
#-0.19	10	0	0.01	0	99	-1
#-0.19	10	0	0.01	0	99	-1
#-0.19	10	0	0.01	0	99	-1
#-0.19	10	0	0.01	0	99	-1
#-0.19	10	0	0.01	0	99	-1
#-0.19	10	0	0.01	0	99	-1

#_size_selex_types
#_Pattern Discard Male Special
24 0 0 0 # F1-NonTar_LL	LL	1995-2009 logistic is 1 0 0 0                       
24 0 0 0 # F2-YesTar_LL	LL	1995-2009     
27 0 0 4 # F3-PS_Asso_PS	PS	1995-2009             
1 0 0 0  # F4-PS_UN-Asso_PS	PS	1995-2009       spline is 27  0 0 6        double normal is 24  0 0 0	
5	0	0	1 #  S1-HI_LL bycatch	LL 1995-2010   
5	0	0	1 #  S2-NO_HI_LL_bycatch	LL 1995-2009    
5	0	0	1 #  S3-JPN_RTV_LL LL 1993-2008      
5	0	0	2 #  S4-SPC_LL_Target 1995-2009 
5	0	0	3 #  S5-PS_ASO_CPset PS 1995-2009
5	0	0	4 #  S6-PS_UNA_CPset PS 1995-2009 
5	0	0	3 #  S7-PS_ASO_CPmt PS 1995-2009 
5	0	0	4 #  S8-PS_UNA_CPmt PS 1995-2009  
5	0	0	1 #  S9-HI_LL_WC LL 2001-2010
#
#_age_selex_types
#_Pattern Discard Male Special
11	0	0	0	# F1-NonTar_LL	LL	1995-2009
11	0	0	0	# F2-YesTar_LL	LL	1995-2009 
11	0	0	0	# F3-PS_Asso_PS	PS	1995-2009
11	0	0	0	# F4-PS_UN-Asso_PS	PS	1995-2009
11	0	0	0	# S1-HI_LL bycatch	LL 1995-2010
11	0	0	0	# S2-NO_HI_LL_bycatch	LL 1995-2009
11	0	0	0	# S3-JPN_RTV_LL LL 1993-2008
11	0	0	0	# S4-SPC_LL_Target 1995-2009
11	0	0	0	# S5-PS_ASO_CPset PS 1995-2009
11	0	0	0	# S6-PS_UNA_CPset PS 1995-2009
11	0	0	0	# S7-PS_ASO_CPmt PS 1995-2009
11	0	0	0	# S8-PS_UNA_CPmt PS 1995-2009
11	0	0	0	# S9-HI_LL_WC LL 2001-2010
 
# Length selectivity parameterization
#_LO HI INIT PRIOR PR_type SD PHASE env-var use_dev dev_minyr dev_maxyr dev_stddev Block Block_Fxn
#_size_sel: F1-NonTar_LL	LL	1995-2009
  14 300 172.246    50 -1 0 -2 0 0 0 0 0.5 0 0 # SizeSel_1P_1_F_NonTarLL     p1 - Peak value     
 -15 15 -9.18625    0 -1 0 -3 0 0 0 0 0.5 0 0 # SizeSel_1P_2_F_NonTarLL      p2 - Top logistic
 -15 15 8.14063     0 -1 0 -3 0 0 0 0 0.5 0 0 # SizeSel_1P_3_F_NonTarLL      p3 - Ascending width
 -15 15 8.29226     0 -1 0 -3 0 0 0 0 0.5 0 0 # SizeSel_1P_4_F_NonTarLL      p4 - Descending width
 -15 15 -15         0 -1 0 -2 0 0 0 0 0.5 0 0 # SizeSel_1P_5_F_NonTarLL      p5 - Initial selectivity at first bin
 -15 15 -15         0 -1 5 -2 0 0 0 0 0.5 0 0 # SizeSel_1P_6_F_NonTarLL      p6 - Final selectivity at last bin
 
#_size_sel: F2-YesTar_LL	LL	1995-2009 
 14 300 170.027   50 -1 0 -2 0 0 0 0 0.5 0 0 # SizeSel_2P_1_F_YesTarLL
 -15 15 -1.38388  0 -1 0 -3 0 0 0 0 0.5 0 0 # SizeSel_2P_2_F_YesTarLL
 -15 15 7.40335   0 -1 0 -3 0 0 0 0 0.5 0 0 # SizeSel_2P_3_F_YesTarLL
 -15 15 6.86228   0 -1 0 -3 0 0 0 0 0.5 0 0 # SizeSel_2P_4_F_YesTarLL
 -15 15 -15       0 -1 0 -2 0 0 0 0 0.5 0 0 # SizeSel_2P_5_F_YesTarLL
 -15 15 -15       0 -1 5 -2 0 0 0 0 0.5 0 0 # SizeSel_2P_6_F_YesTarLL

#_size_sel: F3-PS_Asso_PS	PS	1995-2009

 -15 15 0         0 -1 0 -3 0 0 0 0 0.5 0 0 # SizeSpline_Code_F_AssoPS_3
 -15 15 0.0001    0 -1 0 -3 0 0 0 0 0.5 0 0 # SizeSpline_GradLo_F_AssoPS_3
 -15 15 -0.0001   0 -1 0 -3 0 0 0 0 0.5 0 0 # SizeSpline_GradHi_F_AssoPS_3
 40 240 100       200 1 0 -4 0 0 0 0 0.5 0 0 # SizeSpline_Knot_1_F_AssoPS_3
 40 240 150       200 1 0 -4 0 0 0 0 0.5 0 0 # SizeSpline_Knot_2_F_AssoPS_3
 40 240 175       200 1 0 -4 0 0 0 0 0.5 0 0 # SizeSpline_Knot_3_F_AssoPS_3
 40 240 225       200 1 0 -4 0 0 0 0 0.5 0 0 # SizeSpline_Knot_4_F_AssoPS_3
 -15 15 8.37772     0 -1 0 -3 0 0 0 0 0.5 0 0 # SizeSpline_Val_1_F_AssoPS_3
 -15 15 6.82497     0 -1 0 -3 0 0 0 0 0.5 0 0 # SizeSpline_Val_2_F_AssoPS_3
 -15 15 5.77554     0 -1 0 -3 0 0 0 0 0.5 0 0 # SizeSpline_Val_3_F_AssoPS_3
 0 15 3.04248       0 -1 0 -3 0 0 0 0 0.5 0 0 # SizeSpline_Val_4_F_AssoPS_3   # changed the parameters....from 0 to actual values        17/5/12   Fixed (not est) on 18/5
 

#_size_sel: F4-PS_UN-Asso_PS	PS	1995-2009
 1 200 62.7967    50 0 99 -2 0 0 0 0 0.5 0 0 # SizeSel_4P_1_F_UnAssoPS
 -200 200 7.67376 50 0 99 -3 0 0 0 0 0.5 0 0 # SizeSel_4P_2_F_UnAssoPS

#_size_sel: S1-HI_LL bycatch	LL 1995-2010  
1 200 -1 50 0 99 -2 0 0 0 0 0.5 0 0 # Females
1 239 -1 50 0 99 -3 0 0 0 0 0.5 0 0 # Females

##_size_sel:S2-NO_HI_LL_bycatch	LL 1995-2009
1 200 -1 50 0 99 -2 0 0 0 0 0.5 0 0 # Females
1 239 -1 50 0 99 -3 0 0 0 0 0.5 0 0 # Females                                                                       
#                                                                                                              
##_size_sel: S3-JPN_RTV_LL LL 1993-2008                                                                        
1 200 -1 50 0 99 -2 0 0 0 0 0.5 0 0 # Females                                                                   
1 239 -1 50 0 99 -3 0 0 0 0 0.5 0 0 # Females                                                                  
#                                                                                                               
##_size_sel: S4-SPC_LL_Target 1995-2009                                                                        
1 200 -1 50 0 99 -2 0 0 0 0 0.5 0 0 # Females                                                                    
1 239 -1 50 0 99 -3 0 0 0 0 0.5 0 0 # Females                                                                      
#                                                                                                                  
##_size_sel: S5-PS_ASO_CPset PS 1995-2009                                                                        
1 200 -1 50 0 99 -2 0 0 0 0 0.5 0 0 # Females                                                                      
1 239 -1 50 0 99 -3 0 0 0 0 0.5 0 0 # Females                                                                      
#
##_size_sel: S6-PS_UNA_CPset PS 1995-2009 
1 200 -1 50 0 99 -2 0 0 0 0 0.5 0 0 # Females
1 239 -1 50 0 99 -3 0 0 0 0 0.5 0 0 # Females
#
##_size_sel: S7-PS_ASO_CPmt PS 1995-2009   
1 200 -1 50 0 99 -2 0 0 0 0 0.5 0 0 # Females
1 239 -1 50 0 99 -3 0 0 0 0 0.5 0 0 # Females
#
##_size_sel: S8-PS_UNA_CPmt PS 1995-2009  
1 200 -1 50 0 99 -2 0 0 0 0 0.5 0 0 # Females
1 239 -1 50 0 99 -3 0 0 0 0 0.5 0 0 # Females
#
##_size_sel: S9-HI_LL_WC LL 2001-2010
1 200 -1 50 0 99 -2 0 0 0 0 0.5 0 0 # Females
1 239 -1 50 0 99 -3 0 0 0 0 0.5 0 0 # Females

#
# Age selectivity parameterization
#_LO HI INIT PRIOR PR_type SD PHASE env-var use_dev dev_minyr dev_maxyr dev_stddev Block Block_Fxn
#_age_sel:F1-NonTar_LL	LL	1995-2009       
1 40 0 1 0 99 -1 0 0 0 0 0.5 0 0 #	min                F1-NonTar_LL	LL	1995-2009              
1 40 36 3 0 99 -1 0 0 0 0 0.5 0 0 #	max                F2-YesTar_LL	LL	1995-2009               
#_age_sel: F2-YesTar_LL	LL	1995-2009                  F3-PS_Asso_PS	PS	1995-2009               
1 40 0 1 0 99 -1 0 0 0 0 0.5 0 0 #	min                F4-PS_UN-Asso_PS	PS	1995-2009          
1 40 36 3 0 99 -1 0 0 0 0 0.5 0 0 #	max                S1-HI_LL bycatch	LL 1995-2010             
#_age_sel:  F3-PS_Asso_PS	PS	1995-2009                S2-NO_HI_LL_bycatch	LL 1995-2009          
1 40 0 1 0 99 -1 0 0 0 0 0.5 0 0 #	min                S3-JPN_RTV_LL LL 1993-2008                
1 40 36 3 0 99 -1 0 0 0 0 0.5 0 0 #	max                S4-SPC_LL_Target 1995-2009                  
#_age_sel: F4-PS_UN-Asso_PS	PS	1995-2009              S5-PS_ASO_CPset PS 1995-2009                   
1 40 0 1 0 99 -1 0 0 0 0 0.5 0 0 #	min                S6-PS_UNA_CPset PS 1995-2009        
1 40 36 3 0 99 -1 0 0 0 0 0.5 0 0 #	max                S7-PS_ASO_CPmt PS 1995-2009         
#_age_sel: S1-HI_LL bycatch	LL 1995-2010               S8-PS_UNA_CPmt PS 1995-2009         
1 40 0 1 0 99 -1 0 0 0 0 0.5 0 0 #	min                S9-HI_LL_WC LL 2001-2010
1 40 36 3 0 99 -1 0 0 0 0 0.5 0 0 #	max
#_age_sel: S2-NO_HI_LL_bycatch	LL 1995-2009 
1 40 0 1 0 99 -1 0 0 0 0 0.5 0 0 #	min 
1 40 36 3 0 99 -1 0 0 0 0 0.5 0 0 #	max
#_age_sel: S3-JPN_RTV_LL LL 1993-2008 
1 40 0 1 0 99 -1 0 0 0 0 0.5 0 0 #	min 
1 40 36 3 0 99 -1 0 0 0 0 0.5 0 0 #	max
#_age_sel: S4-SPC_LL_Target 1995-2009  
1 40 0 1 0 99 -1 0 0 0 0 0.5 0 0 #	min 
1 40 36 3 0 99 -1 0 0 0 0 0.5 0 0 #	max
#_age_sel: S5-PS_ASO_CPset PS 1995-2009 
1 40 0 1 0 99 -1 0 0 0 0 0.5 0 0 #	min 
1 40 36 3 0 99 -1 0 0 0 0 0.5 0 0 #	max
#_age_sel:  S6-PS_UNA_CPset PS 1995-2009   
1 40 0 1 0 99 -1 0 0 0 0 0.5 0 0 #	min 
1 40 36 3 0 99 -1 0 0 0 0 0.5 0 0 #	max
#_age_sel: S7-PS_ASO_CPmt PS 1995-2009    
1 40 0 1 0 99 -1 0 0 0 0 0.5 0 0 #	min 
1 40 36 3 0 99 -1 0 0 0 0 0.5 0 0 #	max
#_age_sel: S8-PS_UNA_CPmt PS 1995-2009 
1 40 0 1 0 99 -1 0 0 0 0 0.5 0 0 #	min 
1 40 36 3 0 99 -1 0 0 0 0 0.5 0 0 #	max # 0 #_custom_sel-env_setup (0/1) 
#_age_sel: S9-HI_LL_WC LL 2001-2010
1 40 0 1 0 99 -1 0 0 0 0 0.5 0 0 #	min 
1 40 36 3 0 99 -1 0 0 0 0 0.5 0 0 #	max

# -2 2 0 0 -1 99 -2 #_placeholder when no enviro fxns
 
# 0 #_custom_sel-blk_setup (0/1) 
# -2 2 0 0 -1 99 -2 #_placeholder when no block usage
# -2 2 0 0 -1 99 -2 #_placeholder when no selex devs
# -4 # placeholder for selparm_Dev_Phase
# 1 #_env/block/dev_adjust_method (1=standard; 2=logistic trans to keep in base parm bounds)

# Tag loss and Tag reporting parameters go next
0 # TG_custom:  0=no read; 1=read
# Initial tag loss parameter - for each tag grp 
# set to negligible value
# -15 10 -10 -10 1 0.001 -4 0 0 0 0 0 0 0 # TG_loss_init_1_

# Chronic tag loss - for each tag group
# -15 10 -10 -10 1 0.001 -4 0 0 0 0 0 0 0 # TG_loss_chronic_1_
 
# Overdispersion  for the negative binomial for each tag group
# high value as estimated from MFCL
# 1 50 20 20 1 0.001 -4 0 0 0 0 0 0 0 # TG_overdispersion_1_
 
# Initial tag reporting rate for each fleet, tansformed as above
#-10	10	-0.2	-0.2	1	0.2	6	0	0	0	0	0	0	0	# F1	WCP1

# Exponential decay rate in reporting rate for each fleet (default=0, negative value to get decay)
#-4	0	0	0	0	2	-4	0	0	0	0	0	0	0	# F1	WCP1

1 #_Variance_adjustments_to_input_values
#_1	2	3	4	5	6	7	8	9 10 11  12   13
0	0	0	0	0	0	0	0	0	0	0	0 0 	# Row 1 value added to survey CV (set to zero for no effect)
0	0	0	0	0	0	0	0	0	0	0	0 0  # Row 2 value added to discard stddev (set to zero for no effect)
0	0	0	0	0	0	0	0	0	0	0	0 0 	# Row 3 value added to mean body wt stddev (set to zero for no effect)
0.01 0.01 0.01 0.01 0.01 0.01 0.01 0.01 0.01 0.01 0.01 0.01 0.01  # Row 4 multiplier for lencomp effective N (set to 1.0 for no effect)
1	1	1	1	1	1	1	1	1	1	1 1 1 # Row 5 multiplier for agecomp effective N (set to 1.0 for no effect)
1	1	1	1	1	1	1	1	1	1	1 1 1 # Row 6 multiplier for size-at-age effective N (set to 1.0 for no effect)

1 #_maxlambdaphase
1 #_sd_offset

39 # number of changes to make to default Lambdas (default value is 1.0)

# Like_comp codes:  1=surv; 2=disc; 3=mnwt; 4=length; 5=age; 6=WtFreq; 7=sizeage; 8=catch; 
# 9=init_equ_catch; 10=recrdev; 11=parm_prior; 12=parm_dev; 13=CrashPen; 14=Morphcomp; 15=Tag-comp; 16=Tag-negbin
#like_comp fleet/survey  phase  value  wtfreq_method
# cpue - WPO
1	1	1	0	1	# F1-NonTar_LL	LL 1995-2009      
1	2	1	0	1	# F2-YesTar_LL	LL 1995-2009      
1	3	1	0	1	# F3-PS_Asso_PS PS 1995-2009     
1	4	1	0	1	# F4-PS_UN-Asso_PS	PS 1995-2009  
1 5 1 0 1 	# S1-HI_LL_bycatch 1995-2010
1 6 1 1 1 	# S2-NO_HI_LL_bycatch 1995-2009
1 7 1 0 1 	# S3-JPN_RTV_LL LL 1993-2008
1 8 1 0 1 	# S4-SPC_LL_Target 1995-2009
1 9 1 0 1 	# S5-PS_ASO_CPset 1995-2009
1 10 1 0 1 	# S6-PS_UNA_CPset 1995-2009
1 11 1 0 1 	# S7-PS_ASO_CPmt 1995-2009
1 12 1 0 1 	# S8-PS_UNA_CPmt 1995-2009
1 13 1 0 1 	# S9-LL_HI_WC 2001-2010
#
# Age comps
# 5 3 1 0 1
#
#
# length
4	1	1	1	1	# F1-NonTar_LL	LL 1995-2009          
4	2	1	1	1	# F2-YesTar_LL	LL 1995-2009               
4	3	1	1	1	# F3-PS_Asso_PS PS 1995-2009               
4	4	1	1	1	# F4-PS_UN-Asso_PS	PS 1995-2009           
4	5	1	0	1	# S1-HI_LL bycatch	LL 1995-2010                
4	6	1	0	1	# S2-NO_HI_LL_bycatch	LL 1995-2009            
4	7	1	0	1	# S3-JPN_RTV_LL LL 1993-2008                   
4	8	1	0	1	# S4-SPC_LL_Target 1995-2009                    
4	9	1	0	1	#   S5-PS_ASO_CPset PS 1995-2009  
4	10	1	0	1	# S6-PS_UNA_CPset PS 1995-2009 
4	11	1	0	1	# S7-PS_ASO_CPmt PS 1995-2009  
4	12	1	0	1	# S8-PS_UNA_CPmt PS 1995-2009  
4	13	1	0	1	#    S9-HI_LL_WC LL 2001-2010  

# Eq catch
9	1	1	0	1    # F1-NonTar_LL	LL 1995-2009               
9	2	1	0	1    # F2-YesTar_LL	LL 1995-2009               
9	3	1	0	1    # F3-PS_Asso_PS PS 1995-2009               
9	4	1	0	1    # F4-PS_UN-Asso_PS	PS 1995-2009           
9	5	1	0	1    # S1-HI_LL bycatch	LL 1995-2010             
9	6	1	0	1    # S2-NO_HI_LL_bycatch	LL 1995-2009           
9	7	1	0	1    # S3-JPN_RTV_LL LL 1993-2008                 
9	8	1	0	1    # S4-SPC_LL_Target 1995-2009                  
9	9	1	0	1	  # S5-PS_ASO_CPset PS 1995-2009          
9	10	1	0	1	# S6-PS_UNA_CPset PS 1995-2009          
9	11	1	0	1	# S7-PS_ASO_CPmt PS 1995-2009           
9	12	1	0	1	# S8-PS_UNA_CPmt PS 1995-2009           
9	13	1	0	1	#    S9-HI_LL_WC LL 2001-2010  

# Param_prior
#11 1 1 0 1

0 # (0/1) read specs for more stddev reporting
# 1 1 -1 5 1 5 1 -1 5 # selex type, len/age, year, N selex bins, Growth pattern, N growth ages, area For N-at-age, Year, N bins
# -5 16 27 38 46 # vector with selex std bin picks (-1 in first bin to self-generate)
# -1 2 14 26 40 # vector with growth std bin picks (-1 in first bin to self-generate)
# -1 2 14 26 40 # vector with N-at-age std bin picks (-1 in first bin to self-generate)
999
 
